# List Courses

> Source: https://truto.one/docs/api-reference/unified-lms-api/courses/list/

`GET /unified/lms/courses`

Resource: **Courses** · API: **Unified LMS API**

## Supported integrations

TalentLMS

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`result`** _(array<object>)_
  List of Courses
  - **`id`** _(string, required)_
    The unique identifier for the course
  - **`title`** _(string)_
    The title of the course
  - **`description`** _(string)_
    The description of the course
  - **`code`** _(string)_
    A course code or SKU, when available
  - **`type`** _(string)_
    The type of learning item
    Allowed: `course`, `path`, `curriculum`, `program`, `microlearning`, `other`
  - **`status`** _(string)_
    The publication or availability status of the course
    Allowed: `draft`, `published`, `archived`, `disabled`, `unknown`
  - **`language`** _(string)_
    The primary language of the course, when available. Example: en
  - **`duration_seconds`** _(integer)_
    The estimated duration of the course in seconds, when available
  - **`level`** _(string)_
    The difficulty level of the course, when available
    Allowed: `beginner`, `intermediate`, `advanced`, `mixed`, `unknown`
  - **`urls`** _(array<object>)_
    The URLs related to the course.
    - **`url`** _(string)_
      The URL
    - **`type`** _(string)_
      The type of URL
  - **`tags`** _(array<object>)_
    Tags applied to the course
    - **`id`** _(string)_
      The tag's unique identifier
    - **`name`** _(string)_
      The tag's name
  - **`categories`** _(array<object>)_
    Categories the course belongs to, when available
    - **`id`** _(string)_
      The category's unique identifier
    - **`name`** _(string)_
      The category's name
  - **`organization`** _(object)_
    The organization or tenant the course belongs to, when available
    - **`id`** _(string)_
      The unique identifier for an organization
    - **`name`** _(string)_
      The name of the organization
  - **`published_at`** _(string)_
    The date and time the course was published, when available
  - **`created_at`** _(string)_
    The date and time the course record was created
  - **`updated_at`** _(string)_
    The date and time the course record was last updated
  - **`custom_fields`** _(object)_
    Provider or customer specific fields mapped into a flexible key-value object
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/lms/courses?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/lms/courses?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/lms/courses"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'lms',
  'courses',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "lms",
        "courses",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
